Imports System 
Imports System.windows.forms
Imports GTA
Imports System.Drawing
Public Class policeweapons2

    Inherits Script

    Public Sub New()
        Me.Interval = 10
    End Sub
    Private gunflag As Byte
    Shadows Sub keyDown(ByVal sender As Object, ByVal e As GTA.KeyEventArgs) Handles MyBase.KeyDown

    End Sub

    Shadows Sub keyUp(ByVal sender As Object, ByVal e As GTA.KeyEventArgs) Handles MyBase.KeyUp
    End Sub

    Private Sub general_tick(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Tick
        Dim peds As Ped(), cop As Ped
        peds = World.GetPeds(Player.Character.Position, 100.0F)
        For Each cop In peds
            If Not GameEpisode.TLAD Then
                If cop.Weapons(Weapon.Episodic_07) Then
                    If cop.isShooting Then
                        Native.Function.Call("PLAY_SOUND_FROM_PED", -1, "PISTOL_SHOT_1", cop)
                    End If
                ElseIf cop.Weapons(Weapon.Episodic_06) Then
                    If cop.isShooting Then
                        Native.Function.Call("PLAY_SOUND_FROM_PED", -1, "SHOTGUN_SHOT", cop)
                    End If
                ElseIf cop.Weapons(Weapon.Episodic_02) Then
                    If cop.isShooting Then
                        Native.Function.Call("PLAY_SOUND_FROM_PED", -1, "SHOTGUN_SHOT", cop)
                    End If
                End If                
            End If
            If Not GameEpisode.TBOGT Then
                If cop.Weapons(Weapon.Episodic_09) Then
                    If cop.isShooting Then
                        Native.Function.Call("PLAY_SOUND_FROM_PED", -1, "PISTOL_SHOT_1", cop)
                    End If
                ElseIf cop.Weapons(Weapon.Episodic_11) Then
                    If cop.isShooting Then
                        Native.Function.Call("PLAY_SOUND_FROM_PED", -1, "SHOTGUN_SHOT", cop)
                    End If
                ElseIf cop.Weapons(Weapon.Episodic_12) Then
                    If cop.isShooting Then
                        Native.Function.Call("PLAY_SOUND_FROM_PED", -1, "MP5_FIRE", cop)
                    End If
                ElseIf cop.Weapons(Weapon.Episodic_13) Then
                    If cop.isShooting Then
                        Native.Function.Call("PLAY_SOUND_FROM_PED", -1, "UZI_FIRE", cop)
                    End If
                ElseIf cop.Weapons(Weapon.Episodic_14) Then
                    If cop.isShooting Then
                        Native.Function.Call("PLAY_SOUND_FROM_PED", -1, "M4_FIRE", cop)
                    End If
                ElseIf cop.Weapons(Weapon.Episodic_15) Then
                    If cop.isShooting Then
                        Native.Function.Call("PLAY_SOUND_FROM_PED", -1, "SNIPER_RIFLE_SHOT_1", cop)
                    End If
                End If
            End If           
        Next
    End Sub

    Private Sub console_CMD(ByVal sender As Object, ByVal e As ConsoleEventArgs) Handles MyBase.ConsoleCommand

    End Sub

    Private Sub GraphicsEventHandler(ByVal sender As Object, ByVal e As GTA.GraphicsEventArgs) Handles MyBase.PerFrameDrawing
    End Sub

    Private Sub msg(ByVal sMsg As String, ByVal time As Int32)
        Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", sMsg, time, 1)
    End Sub
End Class
